Subject: [Gen-art] Genart last call review of draft-housley-ers-asn1-modules-02

From: Linda Dunbar via Datatracker <[email-masked]>
Date: Mon, 19 Jul 2021 17:04:03 -0700

Reviewer: Linda Dunbar
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-housley-ers-asn1-modules-??
Reviewer: Linda Dunbar
Review Date: 2021-07-19
IETF LC End Date: 2021-08-13
IESG Telechat date: Not scheduled for a telechat

Summary:
This document offers alternate ASN.1 modules that conform to the 2002 version
of ASN.1 for Evidence Record Syntax (ERS).

Question:
Is the Evidence Record Syntax specified in this draft going to obsolete RFC4998?

How come the AlgorithmIdentifier in this draft is slightly different from the
AlgorithmIdentifier in RFC4998?

This draft has:

AlgorithmIdentifier{}, DIGEST-ALGORITHM
  FROM AlgorithmInformation-2009 -- in [RFC5912]
     { iso(1) identified-organization(3) dod(6) internet(1)
       security(5) mechanisms(5) pkix(7) id-mod(0)
      id-mod-algorithmInformation-02(58) }

RFC4998 has:
AlgorithmIdentifier
    FROM PKIX1Explicit88
         { iso(1) identified-organization(3) dod(6)
            internet(1) security(5) mechanisms(5) pkix(7)
            mod(0) pkix1-explicit(18) }

RFC4998's pkix1-explicit(18) is not present in this draft. Is it intended?

Best Regards,
Linda Dunbar

---

From: Russ Housley <[email-masked]>
Date: Tue, 20 Jul 2021 10:19:56 -0400

Linda:

Thanks for the review.

> Is the Evidence Record Syntax specified in this draft going to obsolete RFC4998?

No.  This document offers an informational specification with an ASN.1 syntax that is compatible with conventions adopted in RFC 5911, RFC 5912, and RFC 6268.  However, RFC 4998 generates the same bits on the wire as this new specification.

> AlgorithmIdentifier in RFC4998?

This is needed to be compatible with conventions adopted in RFC 5911, RFC 5912, and RFC 6268.

> RFC4998's pkix1-explicit(18) is not present in this draft. Is it intended?

Again, this is needed to be compatible with conventions adopted in RFC 5911, RFC 5912, and RFC 6268.  If you look into RFC 5912, you will see that it contains an alternative for the pkix1-explicit module.  This is using that alternative module.

Russ

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 20 Jul 2021 15:30:40 +0000

Russ, 

Thank you very much for the explanation. 
It makes sense. 

Linda

-----Original Message-----
From: Russ Housley <[email-masked]> 
Sent: Tuesday, July 20, 2021 9:20 AM
To: Linda Dunbar <[email-masked]>
Cc: IETF Gen-ART <[email-masked]>; Last Call <[email-masked]>; [email-masked]
Subject: Re: [Last-Call] Genart last call review of draft-housley-ers-asn1-modules-02

Linda:

Thanks for the review.

> Review Team (Gen-ART) reviews all IETF documents being processed by 
> the IESG for the IETF Chair.  Please treat these comments just like 
> any other last call comments.
> 
> <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fgen%2Fwiki%2FGenArtfaq&amp;data=04%7C01%7Clinda.dunbar%40futurewei.com%7C4030230f5c7f49d6ae2708d94b8974f8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637623876015378248%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=jMMTzrlGyeDdIoO37Ry51HW%2BdZsru9bd2mO%2BXlWdlww%3D&amp;reserved=0>.
> 
> This document offers alternate ASN.1 modules that conform to the 2002 
> version of ASN.1 for Evidence Record Syntax (ERS).
> 
> Question:

> 
> How come the AlgorithmIdentifier in this draft is slightly different 
> from the AlgorithmIdentifier in RFC4998?

> 
> This draft has:
> 
> AlgorithmIdentifier{}, DIGEST-ALGORITHM  FROM 
> AlgorithmInformation-2009 -- in [RFC5912]

Russ